Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.usermodel
Class FontCharset

    java.lang.Object
      org.apache.poi.ss.usermodel.FontCharset

    public class FontCharset

extends java.lang.Object

Charset represents the basic set of characters associated with a font (that it can display), and corresponds to the ANSI codepage (8-bit or DBCS) of that character set used by a given language.

Author:
  Gisella Bronzetti

Field Summary
`static FontCharset` | `ANSI`
`static FontCharset` | `ARABIC`
`static FontCharset` | `BALTIC`
`static FontCharset` | `CHINESEBIG5`
`static FontCharset` | `DEFAULT`
`static FontCharset` | `EASTEUROPE`
`static FontCharset` | `GB2312`
`static FontCharset` | `GREEK`
`static FontCharset` | `HANGEUL`
`static FontCharset` | `HEBREW`
`static FontCharset` | `JOHAB`
`static FontCharset` | `MAC`
`static FontCharset` | `OEM`
`static FontCharset` | `RUSSIAN`
`static FontCharset` | `SHIFTJIS`
`static FontCharset` | `SYMBOL`
`static FontCharset` | `THAI`
`static FontCharset` | `TURKISH`
`static FontCharset` | `VIETNAMESE`

Method Summary
`int` | `getValue()` Returns value of this charset
`static FontCharset` | `valueOf(int value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ANSI

    public static final FontCharset ANSI

### DEFAULT

    public static final FontCharset DEFAULT

### SYMBOL

    public static final FontCharset SYMBOL

### MAC

    public static final FontCharset MAC

### SHIFTJIS

    public static final FontCharset SHIFTJIS

### HANGEUL

    public static final FontCharset HANGEUL

### JOHAB

    public static final FontCharset JOHAB

### GB2312

    public static final FontCharset GB2312

### CHINESEBIG5

    public static final FontCharset CHINESEBIG5

### GREEK

    public static final FontCharset GREEK

### TURKISH

    public static final FontCharset TURKISH

### VIETNAMESE

    public static final FontCharset VIETNAMESE

### HEBREW

    public static final FontCharset HEBREW

### ARABIC

    public static final FontCharset ARABIC

### BALTIC

    public static final FontCharset BALTIC

### RUSSIAN

    public static final FontCharset RUSSIAN

### THAI

    public static final FontCharset THAI

### EASTEUROPE

    public static final FontCharset EASTEUROPE

### OEM

    public static final FontCharset OEM

Method Detail

### getValue

    public int getValue()

  Returns value of this charset

  Returns:
    value of this charset

### valueOf

    public static FontCharset valueOf(int value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD